
#include "CpDeviceComBase.h"

CCpDeviceComBase::CCpDeviceComBase(void)
{
}

CCpDeviceComBase::~CCpDeviceComBase(void)
{
}
WORD CCpDeviceComBase::  GetI2CPageLength()
{
    return 0;
}
WORD CCpDeviceComBase::  GetNativePageLength()
{
    return 0;
}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CWrite(BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(ucSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CRead(BYTE ucSlave, BYTE ucSub, WORD usLength, BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(ucSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CWriteByte(BYTE ucSlave, BYTE ucSub, BYTE ucValue)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(ucSub);
    UNUSEDED_PARAMETER(ucValue);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CCurrentRead(BYTE ucSlave, WORD usLength, BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CWordWrite(BYTE ucSlave, WORD usSub, WORD usLength, const BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(usSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CWordRead(BYTE ucSlave, WORD usSub, WORD usLength, BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(usSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;
}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: AdjustOption()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SetI2CSpeed(WORD usSpeed)
{
    UNUSEDED_PARAMETER(usSpeed);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
WORD CCpDeviceComBase:: GetI2CSpeed()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SetAuxMode(STRUCT_AUXMODE_STRUCT stAuxMode)
{
    UNUSEDED_PARAMETER(stAuxMode);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SetWaitingMode(STRUCT_WAITING_STRUCT stWaiting)
{
    UNUSEDED_PARAMETER(stWaiting);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_WAITING_STRUCT CCpDeviceComBase:: GetWaitingMode()
{
   STRUCT_WAITING_STRUCT stWaiting = {_WAITING_NONE, 0};
    return stWaiting;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: NativeWrite(INT nAddress, WORD usLength, const BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(nAddress);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;
}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: NativeRead(INT nAddress, WORD usLength, BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(nAddress);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;
}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SetSettingFilePath(TCHAR *pcConfigFilePath)
{
    UNUSEDED_PARAMETER(pcConfigFilePath);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;
}
void * CCpDeviceComBase:: GetDeviceHandler()
{
    return NULL;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: ResetFirmware()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
DWORD CCpDeviceComBase:: GetSMBUSDataType()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;
}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase::SetSMBUSDataType(DWORD ulSMBUSDataType)
{
    UNUSEDED_PARAMETER(ulSMBUSDataType);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
BYTE CCpDeviceComBase::GetDeviceCount()
{
    return 0;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase::RemoveDevice()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase::SetFTDIGetAck(BOOL bEnable)
{
    UNUSEDED_PARAMETER(bEnable);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
BOOL CCpDeviceComBase::GetFTDIGetAckStatus()
{
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase::GetUsbDevicePath(BYTE ucIndex, TCHAR* pcszDevicePath)
{
    UNUSEDED_PARAMETER(ucIndex);
    UNUSEDED_PARAMETER(pcszDevicePath);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase::SelectUsbByDevicePath(TCHAR* pcszDevicePath)
{
    UNUSEDED_PARAMETER(pcszDevicePath);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SelectUsbByIndex(BYTE ucIndex)
{
    UNUSEDED_PARAMETER(ucIndex);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
void CCpDeviceComBase:: SetCmdLine(TCHAR *pcCmd)
{
    UNUSEDED_PARAMETER(pcCmd);
    return;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CWriteSegment(BYTE ucSegSlave, BYTE ucSegAddr, BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSegSlave);
    UNUSEDED_PARAMETER(ucSegAddr);
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(ucSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: I2CReadSegment(BYTE ucSegSlave, BYTE ucSegAddr, BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    UNUSEDED_PARAMETER(ucSegSlave);
    UNUSEDED_PARAMETER(ucSegAddr);
    UNUSEDED_PARAMETER(ucSlave);
    UNUSEDED_PARAMETER(ucSub);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pucBuf);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: SendUsbPacket(BYTE bRequest, WORD usValue, WORD usIndex, WORD usLength, void * pData)
{
    UNUSEDED_PARAMETER(bRequest);
    UNUSEDED_PARAMETER(usValue);
    UNUSEDED_PARAMETER(usIndex);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pData);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
STRUCT_ENUM_ERROR_TYPE CCpDeviceComBase:: ReceiveUsbPacket(BYTE bRequest, WORD usValue, WORD usIndex, WORD usLength, void * pData)
{
    UNUSEDED_PARAMETER(bRequest);
    UNUSEDED_PARAMETER(usValue);
    UNUSEDED_PARAMETER(usIndex);
    UNUSEDED_PARAMETER(usLength);
    UNUSEDED_PARAMETER(pData);
    return _ERROR_CPDEVICECOMM_NOT_SUPPORT;

}
