#include "CpDeviceCommExtern.h"
#include "CpDeviceComBase.h"

CCpDeviceComBase* g_pcpDevCommCtrl = (CCpDeviceComBase*)(&g_cpDevCommCtrl);

STRUCT_ENUM_ERROR_TYPE InitialDev()
{
    return g_pcpDevCommCtrl->InitialDev();
}
STRUCT_ENUM_ERROR_TYPE ReleaseDev()
{
    return g_pcpDevCommCtrl->ReleaseDev();
}
STRUCT_ENUM_COMM_ID GetCommID()
{
    return g_pcpDevCommCtrl->GetCommID();
}
void GetCommName(TCHAR *pcName, WORD usLength)
{
    return g_pcpDevCommCtrl->GetCommName(pcName, usLength);

}
WORD GetI2CPageLength()
{
    return g_pcpDevCommCtrl->GetI2CPageLength();

}
WORD GetNativePageLength()
{
    return g_pcpDevCommCtrl->GetNativePageLength();

}
STRUCT_ENUM_ERROR_TYPE I2CWrite(BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CWrite(ucSlave, ucSub, usLength, pucBuf);
}

STRUCT_ENUM_ERROR_TYPE I2CRead(BYTE ucSlave, BYTE ucSub, WORD usLength, BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CRead(ucSlave, ucSub, usLength, pucBuf);

}
STRUCT_ENUM_ERROR_TYPE I2CWriteByte(BYTE ucSlave, BYTE ucSub, BYTE ucValue)
{
    return g_pcpDevCommCtrl->I2CWriteByte(ucSlave, ucSub, ucValue);
}

STRUCT_ENUM_ERROR_TYPE I2CCurrentRead(BYTE ucSlave, WORD usLength, BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CCurrentRead(ucSlave, usLength, pucBuf);
}
STRUCT_ENUM_ERROR_TYPE I2CWordWrite(BYTE ucSlave, WORD usSub, WORD usLength, const BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CWordWrite(ucSlave, usSub, usLength, pucBuf);
}
STRUCT_ENUM_ERROR_TYPE I2CWordRead(BYTE ucSlave, WORD usSub, WORD usLength, BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CWordRead(ucSlave, usSub, usLength, pucBuf);

}
STRUCT_ENUM_ERROR_TYPE AdjustOption()
{
    return g_pcpDevCommCtrl->AdjustOption();
}

STRUCT_ENUM_ERROR_TYPE SetI2CSpeed(WORD usSpeed)
{
    return g_pcpDevCommCtrl->SetI2CSpeed(usSpeed);
}

WORD GetI2CSpeed()
{
    return g_pcpDevCommCtrl->GetI2CSpeed();
}

STRUCT_ENUM_ERROR_TYPE SetAuxMode(STRUCT_AUXMODE_STRUCT stAuxMode)
{
    return g_pcpDevCommCtrl->SetAuxMode(stAuxMode);
}
STRUCT_ENUM_ERROR_TYPE SetWaitingMode(STRUCT_WAITING_STRUCT stWaiting)
{
    return g_pcpDevCommCtrl->SetWaitingMode(stWaiting);
}
STRUCT_WAITING_STRUCT GetWaitingMode()
{
    return g_pcpDevCommCtrl->GetWaitingMode();

}
STRUCT_ENUM_ERROR_TYPE NativeWrite(INT nAddress, WORD usLength, const BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->NativeWrite(nAddress, usLength, pucBuf);
}
STRUCT_ENUM_ERROR_TYPE NativeRead(INT nAddress, WORD usLength, BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->NativeRead(nAddress, usLength, pucBuf);

}
STRUCT_ENUM_ERROR_TYPE SetSettingFilePath(TCHAR *pcConfigFilePath)
{
    return g_pcpDevCommCtrl->SetSettingFilePath(pcConfigFilePath);
}

void * GetDeviceHandler()
{
    return g_pcpDevCommCtrl->GetDeviceHandler();
}

STRUCT_ENUM_ERROR_TYPE ResetFirmware()
{
    return g_pcpDevCommCtrl->ResetFirmware();
}

DWORD GetSMBUSDataType()
{
    return g_pcpDevCommCtrl->GetSMBUSDataType();
}

STRUCT_ENUM_ERROR_TYPE SetSMBUSDataType(DWORD ulSMBUSDataType)
{
    return g_pcpDevCommCtrl->SetSMBUSDataType(ulSMBUSDataType);

}
BYTE GetDeviceCount()
{
    return g_pcpDevCommCtrl->GetDeviceCount();
}
STRUCT_ENUM_ERROR_TYPE RemoveDevice()
{
    return g_pcpDevCommCtrl->RemoveDevice();
}
STRUCT_ENUM_ERROR_TYPE SetFTDIGetAck(BOOL bEnable)
{
    return g_pcpDevCommCtrl->SetFTDIGetAck(bEnable);
}
BOOL GetFTDIGetAckStatus()
{
    return g_pcpDevCommCtrl->GetFTDIGetAckStatus();
}
STRUCT_ENUM_ERROR_TYPE GetUsbDevicePath(BYTE ucIndex, TCHAR* pcszDevicePath)
{
    return g_pcpDevCommCtrl->GetUsbDevicePath(ucIndex, pcszDevicePath);
}
STRUCT_ENUM_ERROR_TYPE SelectUsbByDevicePath(TCHAR* pcszDevicePath)
{
    return g_pcpDevCommCtrl->SelectUsbByDevicePath(pcszDevicePath);
}

STRUCT_ENUM_ERROR_TYPE SelectUsbByIndex(BYTE ucIndex)
{
    return g_pcpDevCommCtrl->SelectUsbByIndex(ucIndex);
}
void SetCmdLine(TCHAR *pcCmd)
{
    return g_pcpDevCommCtrl->SetCmdLine(pcCmd);

}
STRUCT_ENUM_ERROR_TYPE I2CWriteSegment(BYTE ucSegSlave, BYTE ucSegAddr, BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CWriteSegment(ucSegSlave, ucSegAddr, ucSlave, ucSub, usLength, pucBuf);
}

STRUCT_ENUM_ERROR_TYPE I2CReadSegment(BYTE ucSegSlave, BYTE ucSegAddr, BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf)
{
    return g_pcpDevCommCtrl->I2CReadSegment(ucSegSlave, ucSegAddr, ucSlave, ucSub, usLength, pucBuf);
}

STRUCT_ENUM_ERROR_TYPE SendUsbPacket(BYTE bRequest, WORD usValue, WORD usIndex, WORD usLength, void * pData)
{
    return g_pcpDevCommCtrl->SendUsbPacket(bRequest, usValue, usIndex, usLength, pData);
}
STRUCT_ENUM_ERROR_TYPE ReceiveUsbPacket(BYTE bRequest, WORD usValue, WORD usIndex, WORD usLength, void * pData)
{    
    return g_pcpDevCommCtrl->ReceiveUsbPacket(bRequest, usValue, usIndex, usLength, pData);
}

